Subject: (urth) UK 5HC cover

From: Alice Turner <akt at ibm.net>
Date: Sun, 18 Apr 1999 11:37:21 +0000

My, that is a peculiar cover! Hard to believe it was done to order for this
book---it's like something they found in a cupboard and decided to slap on
just to save money.

-alga

*More Wolfe info & archive of this list at http://www.urth.net/urth/